Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226462 - Merge Review: system-config-lvm
Summary: Merge Review: system-config-lvm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:06 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-14 04:35:21 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:06:05 UTC
Fedora Merge Review: system-config-lvm

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-lvm/
Initial Owner: jparsons@redhat.com

Comment 1 Parag AN(पराग) 2007-09-28 15:24:03 UTC
need some SPEC cleanups
1)  avoid makeinstall usage
http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002
2) update buildroot tag as said below
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473
3) use make %{?_smp_mflags}

rpmlint said 
system-config-lvm.src: W: mixed-use-of-spaces-and-tabs (spaces: line 100, tab:
line 35)
system-config-lvm.src: W: summary-ended-with-dot A utility for graphically
configuring Logical Volumes.
system-config-lvm.src: W: invalid-license GPL
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/fdisk_wrapper.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/VolumeGroup.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/pixmaps/VG.xpm 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/pixmaps/PV.xpm 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/pixmaps/UV.xpm 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Segment.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Partition.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/ExtentBlock.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/execute.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/renderer.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/utilities.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Cluster.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/BlockDevice.py 0640
system-config-lvm.noarch: W: no-dependency-on usermode
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/lvmui_constants.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/lvm_model.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/parted_wrapper.py 0640
system-config-lvm.noarch: E: non-readable /usr/share/system-config-lvm/Volume.py
0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Filesystem.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/cylinder_items.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/PhysicalVolume.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/pixmaps/grad3.xpm 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/pixmaps/LV.xpm 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/CommandHandler.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/CommandError.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Volume_Tab_View.py 0640
system-config-lvm.noarch: E: non-executable-script
/usr/share/system-config-lvm/Volume_Tab_View.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Properties_Renderer.py 0640
system-config-lvm.noarch: E: non-readable /usr/share/system-config-lvm/Fstab.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/InputController.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/WaitMsg.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/LogicalVolume.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/BlockDeviceModel.py 0640
system-config-lvm.noarch: E: non-readable
/usr/share/system-config-lvm/Multipath.py 0640
system-config-lvm.noarch: W: summary-ended-with-dot A utility for graphically
configuring Logical Volumes.
system-config-lvm.noarch: W: invalid-license GPL
system-config-lvm.noarch: W: conffile-without-noreplace-flag
/etc/pam.d/system-config-lvm
system-config-lvm.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/system-config-lvm

Update package. Better to provide new SPEC and SRPM links for this package
before actually committing in CVS.




Comment 2 Ryan McCabe 2007-09-28 17:39:17 UTC
SRPM and spec file at http://people.redhat.com/jparsons/downloads/s-c-lvm/

rpmlint -v produces no warnings now.

Comment 3 Parag AN(पराग) 2007-10-01 04:18:05 UTC
No permission to download SRPM

Comment 4 Parag AN(पराग) 2007-11-14 06:29:53 UTC
ping?

Comment 5 Ryan McCabe 2007-12-06 15:28:42 UTC
http://people.redhat.com/rmccabe/s-c-lvm/

Comment 6 Parag AN(पराग) 2007-12-07 05:09:45 UTC
with updated SPEC,
system-config-lvm.noarch: E: invalid-desktopfile
/usr/share/applications/system-config-lvm.desktop
.desktop file is not valid, check with desktop-file-validate

system-config-lvm.src: W: strange-permission system-config-lvm.spec 0600
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.



Comment 7 Parag AN(पराग) 2007-12-18 14:17:07 UTC
ping?

Comment 8 Parag AN(पराग) 2007-12-27 11:03:59 UTC
ping?

Comment 9 Parag AN(पराग) 2008-01-18 14:10:30 UTC
ping?

Comment 10 Parag AN(पराग) 2008-01-23 05:36:46 UTC
Owner of this package is not responding here.


Comment 11 Jim Parsons 2008-01-23 17:30:44 UTC
Hey - So sorry. I'm here. Will look into above comment about file permissions
and write again today.

Comment 12 Parag AN(पराग) 2008-12-22 08:30:15 UTC
ping?

Comment 13 Parag AN(पराग) 2009-01-09 04:37:49 UTC
ping?

Comment 14 Parag AN(पराग) 2009-01-14 04:17:55 UTC
ping?

Comment 15 Parag AN(पराग) 2009-01-14 04:35:21 UTC
Ok. looks like some changes was already committed in rawhide without notifying here for further review.

Based on today's rawhide spec,
+ rpmlint only gave
system-config-lvm.noarch: W: no-dependency-on usermode
==> ok
+ all issues asked to fix since comment#1 looks fixed now in rawhide package.
+ Package now follows packaging guidelines.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.